Quassel IRC - Bug #566

Segfault on network disconnect
02/18/2009 02:56 AM - hxal

Status: Closed Start date: 02/18/2009
Priority: High Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.3.0.x 0S: Linux
Description

| didn't try to reproduce it.
Here's what | did:

e changed a server's connection options while being connected (port and SSL option)
¢ disconnected from that network using the context menu in the buffer view
* BAM

Distro: gentoo x86

Quasselclient version: 0.4.0 x86

Quasselcore version: 0.3.1-g734d4c9 amd64

Qt version: 4.4.2

CXXFLAGS=-02 -ggdb -march=prescott -pipe -fno-omit-frame-pointer -mfpmath=sse -fvisibility-inlines-hidden

Automatic stacktrace attached.

Related issues:

Related to Quassel IRC - Bug #663: Crash when disabling uniform row heights f... Assigned 04/07/2009
Has duplicate Quassel IRC - Bug #524: Crash while switching channel Closed 02/07/2009
History

#1 - 04/02/2009 12:46 PM - Sputnick

- File Quassel-Crash-20090218-2025.log added
- File Quassel-Crash-20090311-1834.log added
- File Quassel-Crash-20090311-0756.log added
- File Quassel-Crash-20090317-2137.log added
- Status changed from New to Confirmed

- Priority changed from Normal to High

- Version changed from 0.3.1+ to 0.4.0+

This trace shows up in some varieties, according to user feedback also sometimes triggered by temporarily hiding multiple buffers, or by selecting
Connect or Disconnect from the network context menu. Seems to be related by Qt trying to repaint/resize the BufferView in a bad moment. More
traces pointing to most probably that same issue attached.

#2 - 04/07/2009 11:35 AM - Sputnick
- Target version set to 0.4.2

- Version changed from 0.4.0+ to 0.3.0.x

Bug #663 contains a) a real usable backtrace and b) a way that allows me to reproduce now :)

#3 - 05/25/2009 11:40 PM - Sputnick
- Target version changed from 0.4.2 to 0.4.3

#4 - 09/11/2009 12:59 AM - Sputnick
- Target version deleted (0.4.3)
https://wiki.quassel-irc.org/issues/663

#5 - 03/04/2010 08:31 PM - johu

- Status changed from Confirmed to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#6 - 08/04/2010 09:42 PM - johu
- Status changed from Feedback to Closed

No feedback was given within 5 months.
